import java.awt.Container;
import java.awt.Frame;
import java.io.File;
import javax.swing.JFileChooser;

public class Class191 implements Runnable {

   File aFile2276 = null;
   boolean aBool2277 = false;
   boolean aBool2278;
   String aString2279;


   boolean method3321(int var1) {
      return this.aBool2278;
   }

   boolean method3322() {
      return this.aBool2278;
   }

   public File method3323(int var1) {
      return this.aFile2276;
   }

   public boolean method3324(int var1) {
      return this.aBool2277;
   }

   public File method3325() {
      return this.aFile2276;
   }

   public boolean method3326() {
      return this.aBool2277;
   }

   public void method3327() {
      Container var1 = Class274.method4851(1271602695);
      Frame var2 = null;
      if(null != Class268.aFrame3105) {
         var2 = Class268.aFrame3105;
      } else {
         while(null != var1) {
            if(var1 instanceof Frame) {
               var2 = (Frame)var1;
               break;
            }

            var1 = var1.getParent();
         }
      }

      if(null == var2) {
         throw new RuntimeException("");
      } else {
         JFileChooser var3 = new JFileChooser("");
         var3.setDialogTitle(this.aString2279);
         var3.setFileFilter(new FileFilter_Sub1(this, this));
         var3.setFileSelectionMode(1);
         var3.setAcceptAllFileFilterUsed(false);
         int var4 = var3.showOpenDialog(var2);
         if(var4 == 0) {
            this.aFile2276 = var3.getSelectedFile();
         }

         this.aBool2277 = true;
      }
   }

   public void method3328() {
      Container var1 = Class274.method4851(1405677055);
      Frame var2 = null;
      if(null != Class268.aFrame3105) {
         var2 = Class268.aFrame3105;
      } else {
         while(null != var1) {
            if(var1 instanceof Frame) {
               var2 = (Frame)var1;
               break;
            }

            var1 = var1.getParent();
         }
      }

      if(null == var2) {
         throw new RuntimeException("");
      } else {
         JFileChooser var3 = new JFileChooser("");
         var3.setDialogTitle(this.aString2279);
         var3.setFileFilter(new FileFilter_Sub1(this, this));
         var3.setFileSelectionMode(1);
         var3.setAcceptAllFileFilterUsed(false);
         int var4 = var3.showOpenDialog(var2);
         if(var4 == 0) {
            this.aFile2276 = var3.getSelectedFile();
         }

         this.aBool2277 = true;
      }
   }

   public void method3329() {
      Container var1 = Class274.method4851(1641650968);
      Frame var2 = null;
      if(null != Class268.aFrame3105) {
         var2 = Class268.aFrame3105;
      } else {
         while(null != var1) {
            if(var1 instanceof Frame) {
               var2 = (Frame)var1;
               break;
            }

            var1 = var1.getParent();
         }
      }

      if(null == var2) {
         throw new RuntimeException("");
      } else {
         JFileChooser var3 = new JFileChooser("");
         var3.setDialogTitle(this.aString2279);
         var3.setFileFilter(new FileFilter_Sub1(this, this));
         var3.setFileSelectionMode(1);
         var3.setAcceptAllFileFilterUsed(false);
         int var4 = var3.showOpenDialog(var2);
         if(var4 == 0) {
            this.aFile2276 = var3.getSelectedFile();
         }

         this.aBool2277 = true;
      }
   }

   public boolean method3330() {
      return this.aBool2277;
   }

   public void run() {
      Container var1 = Class274.method4851(1649933418);
      Frame var2 = null;
      if(null != Class268.aFrame3105) {
         var2 = Class268.aFrame3105;
      } else {
         while(null != var1) {
            if(var1 instanceof Frame) {
               var2 = (Frame)var1;
               break;
            }

            var1 = var1.getParent();
         }
      }

      if(null == var2) {
         throw new RuntimeException("");
      } else {
         JFileChooser var3 = new JFileChooser("");
         var3.setDialogTitle(this.aString2279);
         var3.setFileFilter(new FileFilter_Sub1(this, this));
         var3.setFileSelectionMode(1);
         var3.setAcceptAllFileFilterUsed(false);
         int var4 = var3.showOpenDialog(var2);
         if(var4 == 0) {
            this.aFile2276 = var3.getSelectedFile();
         }

         this.aBool2277 = true;
      }
   }

   public Class191(String var1, boolean var2) {
      this.aString2279 = var1;
      this.aBool2278 = var2;
      (new Thread(this)).start();
   }

   boolean method3331() {
      return this.aBool2278;
   }

   boolean method3332() {
      return this.aBool2278;
   }

   boolean method3333() {
      return this.aBool2278;
   }

   static final void method3334(Class508 var0, int var1) {
      var0.aClass515_Sub1_Sub4_Sub4_6021.method16649(var0.anIntArray6027[(var0.anInt6003 -= 98312473) * -937710807], -305210676);
   }

   static final void method3335(Class508 var0, int var1) {
      var0.anIntArray6027[(var0.anInt6003 += 98312473) * -937710807 - 1] = Class500.aClass225_Sub6_5953.aClass463_Sub3_8504.method12793(1831008170) == 1?1:0;
   }

   static final void method3336(Class508 var0, int var1) {
      int var2 = var0.anIntArray6027[(var0.anInt6003 -= 98312473) * -937710807];
      var0.anInt6005 -= -93697366;
      String var3 = (String)var0.anObjectArray6004[639741949 * var0.anInt6005];
      String var4 = (String)var0.anObjectArray6004[639741949 * var0.anInt6005 + 1];
      if(var3.length() <= 500) {
         if(var4.length() <= 500) {
            PacketContext.method3212(var2, var3, var4, -715474486);
         }
      }
   }

   static final void method3337(Class508 var0, int var1) {
      Class500.aClass225_Sub6_5953.method13522(Class500.aClass225_Sub6_5953.aClass463_Sub19_8486, var0.anIntArray6027[(var0.anInt6003 -= 98312473) * -937710807] == 1?1:0, -2016034682);
      Class7.method605(-1358477367);
      client.aBool7758 = false;
   }
}
